package com.isu.gaswellwatch.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserExport {
    @ExcelProperty(value = "序号")
    private Integer number;
    @ExcelProperty(value = "账号")
    private String username;
    @ExcelProperty(value = "使用者")
    private String nickname;
    @ColumnWidth(15)
    @ExcelProperty(value = "角色")
    private String roles;
    @ColumnWidth(12)
    @ExcelProperty(value = "电话")
    private String phone;
    @ColumnWidth(20)
    @ExcelProperty(value = "创建时间")
    private String createTime;
    @ExcelProperty(value = "状态")
    private String status;

}
