package com.isu.gaswellwatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.isu.gaswellwatch.dto.DepartmentDTO;
import com.isu.gaswellwatch.dto.DepartmentEditDTO;
import com.isu.gaswellwatch.entity.Department;
import com.isu.gaswellwatch.vo.DepartmentVO;

public interface DepartmentService extends IService<Department> {

    Page<DepartmentVO> page(Integer currentPage, Integer pageSize, String name, String code);

    void add(DepartmentDTO companyDTO);

    void edit(DepartmentEditDTO departmentEditDTO);

    void delete(Long id);

}

