package com.isu.gaswellwatch.vo.summary;

import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
@EqualsAndHashCode
@ToString(callSuper = true)
public class LineSummaryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private List<String> xAxisData;

    private List<String> legendData;

    /** 数据 */
    private List<LineDataVO> series;

    /** 井号 */
    private String title;

}
